/* ///////////////////////////////////////////////////////////////////////
 * File:		locale.hpp
 *
 * Created:		08.06.25
 * Updated:		08.06.25
 *
 * Brief: Locale configuration
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */

/* //////////////////////////////////////////////////////////////////// */
#ifndef EXTL_CONFIG_LOCALE_H
#define EXTL_CONFIG_LOCALE_H

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include <locale.h>

/* ///////////////////////////////////////////////////////////////////////
 * ::extl namespace
 */
EXTL_BEGIN_NAMESPACE

typedef struct locale_config
{
	locale_config()
	{
	#if defined(EXTL_LOCALE_CHINESE)
		setlocale(LC_ALL, "chs");
	#elif defined(EXTL_LOCALE_C)
		setlocale(LC_ALL, "C");
	#elif defined(EXTL_LOCALE_DEFAULT)
		setlocale(LC_ALL, NULL);
	#endif
	}

}locale_config_type;

static locale_config_type g_locale_config;
/* ///////////////////////////////////////////////////////////////////////
 * ::extl namespace
 */
EXTL_END_NAMESPACE

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_CONFIG_LOCALE_H */
/* //////////////////////////////////////////////////////////////////// */
